# Generated by Django 5.0.6 on 2024-06-14 08:17

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0228_alter_districthomepage_title_suffix"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtnewprogrampage",
            name="program",
            field=wagtail.fields.StreamField(
                [
                    (
                        "program_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                        label="Název programu",
                                    ),
                                ),
                                (
                                    "point_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "url",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz pokrývající celou tuto část",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Ikona", required=False
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek článku programu"
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.RichTextBlock(
                                                        features=[
                                                            "h3",
                                                            "h4",
                                                            "h5",
                                                            "bold",
                                                            "italic",
                                                            "ol",
                                                            "ul",
                                                            "hr",
                                                            "link",
                                                            "document-link",
                                                            "image",
                                                            "superscript",
                                                            "subscript",
                                                            "strikethrough",
                                                            "blockquote",
                                                            "embed",
                                                        ],
                                                        label="Obsah",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Jednotlivé články programu",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program_group_crossroad",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                        label="Název programu",
                                    ),
                                ),
                                (
                                    "point_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek"
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek", required=True
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Krátký text pod nadpisem",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            "district.DistrictArticlePage",
                                                            "district.DistrictArticlesPage",
                                                            "district.DistrictCenterPage",
                                                            "district.DistrictContactPage",
                                                            "district.DistrictCrossroadPage",
                                                            "district.DistrictCustomPage",
                                                            "district.DistrictPeoplePage",
                                                            "district.DistrictPersonPage",
                                                            "district.DistrictNewProgramPage",
                                                        ],
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Karty programu",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program_group_popout",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                        label="Název programu",
                                    ),
                                ),
                                (
                                    "categories",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "name",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název"
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Ikona", required=False
                                                    ),
                                                ),
                                                (
                                                    "description",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Popis", required=False
                                                    ),
                                                ),
                                                (
                                                    "point_list",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek vyskakovacího bloku"
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.RichTextBlock(
                                                                        features=[
                                                                            "h3",
                                                                            "h4",
                                                                            "h5",
                                                                            "bold",
                                                                            "italic",
                                                                            "ol",
                                                                            "ul",
                                                                            "hr",
                                                                            "link",
                                                                            "document-link",
                                                                            "image",
                                                                            "superscript",
                                                                            "subscript",
                                                                            "strikethrough",
                                                                            "blockquote",
                                                                            "embed",
                                                                        ],
                                                                        label="Obsah",
                                                                    ),
                                                                ),
                                                                (
                                                                    "guarantor",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Garant",
                                                                        page_type=[
                                                                            "district.DistrictPersonPage"
                                                                        ],
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                        label="Jednotlivé bloky programu",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kategorie programu",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program_group_with_candidates",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                        label="Název programu",
                                    ),
                                ),
                                (
                                    "preamble_content",
                                    wagtail.blocks.RichTextBlock(
                                        help_text="Text, který se zobrazí před přepínačem mezi kandidáty a programem.",
                                        label="Preambule",
                                        required=False,
                                    ),
                                ),
                                (
                                    "show_job",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je vybráno, u osob se zobrazí povolání místo stranické pozice.",
                                        label="Zobrazit povolání",
                                        required=True,
                                    ),
                                ),
                                (
                                    "primary_candidates",
                                    wagtail.blocks.StructBlock(
                                        [
                                            (
                                                "candidates",
                                                wagtail.blocks.ListBlock(
                                                    wagtail.blocks.StructBlock(
                                                        [
                                                            (
                                                                "page",
                                                                wagtail.blocks.PageChooserBlock(
                                                                    label="Stránka",
                                                                    page_type=[
                                                                        "district.DistrictPersonPage"
                                                                    ],
                                                                ),
                                                            ),
                                                            (
                                                                "image",
                                                                wagtail.images.blocks.ImageChooserBlock(
                                                                    help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                                    label="Obrázek",
                                                                    required=False,
                                                                ),
                                                            ),
                                                            (
                                                                "description",
                                                                wagtail.blocks.TextBlock(
                                                                    label="Popis",
                                                                    required=False,
                                                                ),
                                                            ),
                                                        ]
                                                    ),
                                                    label=" ",
                                                ),
                                            )
                                        ],
                                        help_text="Zobrazí se ve velkých blocích na začátku stránky.",
                                        label="Osoby na čele kandidátky",
                                    ),
                                ),
                                (
                                    "secondary_candidates",
                                    wagtail.blocks.StructBlock(
                                        [
                                            (
                                                "heading",
                                                wagtail.blocks.CharBlock(
                                                    default="Ostatní kandidátky",
                                                    label="Nadpis zbytku kandidátky",
                                                ),
                                            ),
                                            (
                                                "candidates",
                                                wagtail.blocks.ListBlock(
                                                    wagtail.blocks.StructBlock(
                                                        [
                                                            (
                                                                "number",
                                                                wagtail.blocks.CharBlock(
                                                                    label="Číslo"
                                                                ),
                                                            ),
                                                            (
                                                                "page",
                                                                wagtail.blocks.PageChooserBlock(
                                                                    label="Stránka",
                                                                    page_type=[
                                                                        "district.DistrictPersonPage"
                                                                    ],
                                                                ),
                                                            ),
                                                            (
                                                                "image",
                                                                wagtail.images.blocks.ImageChooserBlock(
                                                                    help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                                    label="Obrázek",
                                                                    required=False,
                                                                ),
                                                            ),
                                                        ]
                                                    ),
                                                    label="Zbylí kandidáti na listině",
                                                ),
                                            ),
                                        ],
                                        help_text="Zobrazí se v kompaktním seznamu pod čelem kandidátky.",
                                        label="Ostatní osoby na kandidátce",
                                    ),
                                ),
                                (
                                    "program",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "program_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                                                label="Název programu",
                                                            ),
                                                        ),
                                                        (
                                                            "point_list",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "url",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz pokrývající celou tuto část",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Ikona",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek článku programu"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "text",
                                                                            wagtail.blocks.RichTextBlock(
                                                                                features=[
                                                                                    "h3",
                                                                                    "h4",
                                                                                    "h5",
                                                                                    "bold",
                                                                                    "italic",
                                                                                    "ol",
                                                                                    "ul",
                                                                                    "hr",
                                                                                    "link",
                                                                                    "document-link",
                                                                                    "image",
                                                                                    "superscript",
                                                                                    "subscript",
                                                                                    "strikethrough",
                                                                                    "blockquote",
                                                                                    "embed",
                                                                                ],
                                                                                label="Obsah",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Jednotlivé články programu",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "program_group_crossroad",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                                                label="Název programu",
                                                            ),
                                                        ),
                                                        (
                                                            "point_list",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "text",
                                                                            wagtail.blocks.RichTextBlock(
                                                                                label="Krátký text pod nadpisem",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                page_type=[
                                                                                    "district.DistrictArticlePage",
                                                                                    "district.DistrictArticlesPage",
                                                                                    "district.DistrictCenterPage",
                                                                                    "district.DistrictContactPage",
                                                                                    "district.DistrictCrossroadPage",
                                                                                    "district.DistrictCustomPage",
                                                                                    "district.DistrictPeoplePage",
                                                                                    "district.DistrictPersonPage",
                                                                                    "district.DistrictNewProgramPage",
                                                                                ],
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Karty programu",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "program_group_popout",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Např. 'Krajské volby 2024', 'Evropské volby 2024', ...",
                                                                label="Název programu",
                                                            ),
                                                        ),
                                                        (
                                                            "categories",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "name",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Název"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Ikona",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.RichTextBlock(
                                                                                label="Popis",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "point_list",
                                                                            wagtail.blocks.ListBlock(
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "title",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                label="Titulek vyskakovacího bloku"
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "content",
                                                                                            wagtail.blocks.RichTextBlock(
                                                                                                features=[
                                                                                                    "h3",
                                                                                                    "h4",
                                                                                                    "h5",
                                                                                                    "bold",
                                                                                                    "italic",
                                                                                                    "ol",
                                                                                                    "ul",
                                                                                                    "hr",
                                                                                                    "link",
                                                                                                    "document-link",
                                                                                                    "image",
                                                                                                    "superscript",
                                                                                                    "subscript",
                                                                                                    "strikethrough",
                                                                                                    "blockquote",
                                                                                                    "embed",
                                                                                                ],
                                                                                                label="Obsah",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "guarantor",
                                                                                            wagtail.blocks.PageChooserBlock(
                                                                                                label="Garant",
                                                                                                page_type=[
                                                                                                    "district.DistrictPersonPage"
                                                                                                ],
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                                label="Jednotlivé bloky programu",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Kategorie programu",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "carousel_program",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "label",
                                                            wagtail.blocks.CharBlock(
                                                                default="Program",
                                                                help_text="Např. 'Program'",
                                                                label="Nadpis",
                                                            ),
                                                        ),
                                                        (
                                                            "categories",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "number",
                                                                            wagtail.blocks.IntegerBlock(
                                                                                label="Číslo"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "name",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Název"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "points",
                                                                            wagtail.blocks.ListBlock(
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "content",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Obsah"
                                                                                            ),
                                                                                        )
                                                                                    ]
                                                                                ),
                                                                                label="Body",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Kategorie",
                                                            ),
                                                        ),
                                                        (
                                                            "long_version_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Pro zobrazení odkazu na celou verzi programu musí být obě následující pole vyplněná.",
                                                                label="Odkaz na celou verzi programu",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "long_version_text",
                                                            wagtail.blocks.CharBlock(
                                                                label="Nadpis odkazu na celou verzi programu",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ],
                                                    template="styleguide2/includes/molecules/program/program_block.html",
                                                ),
                                            ),
                                        ]
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Programy",
            ),
        ),
    ]
